%global _scl_prefix /opt/onedata

%{?scl:%scl_package python3-fs-onedatafs}
%{!?scl:%global pkg_name %{name}}

%define version 21.02.0.alpha28
%define unmangled_version %{version}
%define onedatafs_version 21.02.0.alpha28
%define release 1

Summary: Onedata filesystem implementation for PyFilesystem2
Name: %{?scl_prefix}python3-fs-onedatafs
Version: %{version}
Release: 1%{?dist}
Source0: fs-onedatafs-%{version}.tar.gz
Source1: __init__.py
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Onedata <support@onedata.org>
Url: https://github.com/onedata/fs-onedatafs

Requires: epel-release
Requires: scl-utils
Requires: %scl_require_package %{scl} python3-onedatafs = %{onedatafs_version}
Requires: python-six
Requires: python-typing
BuildRequires: python36
BuildRequires: python36-setuptools

%description
OnedataFS is an implementation of PyFilesystem interface to Onedata virtual
file system.  OnedataFS allows you to work with Onedata using PyFilesystem API,
directly without any local mountpoints.

%prep
%setup -n fs-onedatafs-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --prefix=/opt/onedata/%{scl}/root/usr --record=INSTALLED_FILES
install -p -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT/opt/onedata/%{scl}/root/usr/lib/python3.6/site-packages/fs/__init__.py

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
/opt/onedata/%{scl}/root/usr/lib/python3.6/site-packages/fs/__init__.*
%defattr(-,root,root)
